// Copyright 2023-2024 Buf Technologies, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.35.1
// 	protoc        (unknown)
// source: buf/registry/owner/v1/owner.proto

package ownerv1

import (
	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	_ "buf.build/gen/go/bufbuild/registry/protocolbuffers/go/buf/registry/priv/extension/v1beta1"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// A User or Organization.
type Owner struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Value:
	//
	//	*Owner_User
	//	*Owner_Organization
	Value isOwner_Value `protobuf_oneof:"value"`
}

func (x *Owner) Reset() {
	*x = Owner{}
	mi := &file_buf_registry_owner_v1_owner_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Owner) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Owner) ProtoMessage() {}

func (x *Owner) ProtoReflect() protoreflect.Message {
	mi := &file_buf_registry_owner_v1_owner_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Owner.ProtoReflect.Descriptor instead.
func (*Owner) Descriptor() ([]byte, []int) {
	return file_buf_registry_owner_v1_owner_proto_rawDescGZIP(), []int{0}
}

func (m *Owner) GetValue() isOwner_Value {
	if m != nil {
		return m.Value
	}
	return nil
}

func (x *Owner) GetUser() *User {
	if x, ok := x.GetValue().(*Owner_User); ok {
		return x.User
	}
	return nil
}

func (x *Owner) GetOrganization() *Organization {
	if x, ok := x.GetValue().(*Owner_Organization); ok {
		return x.Organization
	}
	return nil
}

type isOwner_Value interface {
	isOwner_Value()
}

type Owner_User struct {
	// The User.
	User *User `protobuf:"bytes,1,opt,name=user,proto3,oneof"`
}

type Owner_Organization struct {
	// The Organization.
	Organization *Organization `protobuf:"bytes,2,opt,name=organization,proto3,oneof"`
}

func (*Owner_User) isOwner_Value() {}

func (*Owner_Organization) isOwner_Value() {}

// OwnerRef is a reference to a User or Organization, either an id or a name.
//
// This is used in requests.
type OwnerRef struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Value:
	//
	//	*OwnerRef_Id
	//	*OwnerRef_Name
	Value isOwnerRef_Value `protobuf_oneof:"value"`
}

func (x *OwnerRef) Reset() {
	*x = OwnerRef{}
	mi := &file_buf_registry_owner_v1_owner_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *OwnerRef) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OwnerRef) ProtoMessage() {}

func (x *OwnerRef) ProtoReflect() protoreflect.Message {
	mi := &file_buf_registry_owner_v1_owner_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OwnerRef.ProtoReflect.Descriptor instead.
func (*OwnerRef) Descriptor() ([]byte, []int) {
	return file_buf_registry_owner_v1_owner_proto_rawDescGZIP(), []int{1}
}

func (m *OwnerRef) GetValue() isOwnerRef_Value {
	if m != nil {
		return m.Value
	}
	return nil
}

func (x *OwnerRef) GetId() string {
	if x, ok := x.GetValue().(*OwnerRef_Id); ok {
		return x.Id
	}
	return ""
}

func (x *OwnerRef) GetName() string {
	if x, ok := x.GetValue().(*OwnerRef_Name); ok {
		return x.Name
	}
	return ""
}

type isOwnerRef_Value interface {
	isOwnerRef_Value()
}

type OwnerRef_Id struct {
	// The id of the User or Organization.
	Id string `protobuf:"bytes,1,opt,name=id,proto3,oneof"`
}

type OwnerRef_Name struct {
	// The name of the User or Organization.
	Name string `protobuf:"bytes,2,opt,name=name,proto3,oneof"`
}

func (*OwnerRef_Id) isOwnerRef_Value() {}

func (*OwnerRef_Name) isOwnerRef_Value() {}

var File_buf_registry_owner_v1_owner_proto protoreflect.FileDescriptor

var file_buf_registry_owner_v1_owner_proto_rawDesc = []byte{
	0x0a, 0x21, 0x62, 0x75, 0x66, 0x2f, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x2f, 0x6f,
	0x77, 0x6e, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x15, 0x62, 0x75, 0x66, 0x2e, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72,
	0x79, 0x2e, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x1a, 0x28, 0x62, 0x75, 0x66, 0x2f,
	0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x2f, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x2f, 0x76,
	0x31, 0x2f, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x20, 0x62, 0x75, 0x66, 0x2f, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74,
	0x72, 0x79, 0x2f, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x75, 0x73, 0x65, 0x72,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x33, 0x62, 0x75, 0x66, 0x2f, 0x72, 0x65, 0x67, 0x69,
	0x73, 0x74, 0x72, 0x79, 0x2f, 0x70, 0x72, 0x69, 0x76, 0x2f, 0x65, 0x78, 0x74, 0x65, 0x6e, 0x73,
	0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x31, 0x62, 0x65, 0x74, 0x61, 0x31, 0x2f, 0x65, 0x78, 0x74, 0x65,
	0x6e, 0x73, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x62, 0x75, 0x66,
	0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61,
	0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x9d, 0x01, 0x0a, 0x05, 0x4f, 0x77, 0x6e,
	0x65, 0x72, 0x12, 0x31, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1b, 0x2e, 0x62, 0x75, 0x66, 0x2e, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x2e,
	0x6f, 0x77, 0x6e, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x48, 0x00, 0x52,
	0x04, 0x75, 0x73, 0x65, 0x72, 0x12, 0x49, 0x0a, 0x0c, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x23, 0x2e, 0x62, 0x75,
	0x66, 0x2e, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x2e, 0x6f, 0x77, 0x6e, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x4f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x48, 0x00, 0x52, 0x0c, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x3a, 0x06, 0xea, 0xc5, 0x2b, 0x02, 0x10, 0x01, 0x42, 0x0e, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x12, 0x05, 0xba, 0x48, 0x02, 0x08, 0x01, 0x22, 0x7a, 0x0a, 0x08, 0x4f, 0x77, 0x6e, 0x65,
	0x72, 0x52, 0x65, 0x66, 0x12, 0x1a, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x42, 0x08, 0xba, 0x48, 0x05, 0x72, 0x03, 0x88, 0x02, 0x01, 0x48, 0x00, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x3a, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x24,
	0xba, 0x48, 0x21, 0x72, 0x1f, 0x10, 0x02, 0x18, 0x20, 0x32, 0x19, 0x5e, 0x5b, 0x61, 0x2d, 0x7a,
	0x5d, 0x5b, 0x61, 0x2d, 0x7a, 0x30, 0x2d, 0x39, 0x2d, 0x5d, 0x2a, 0x5b, 0x61, 0x2d, 0x7a, 0x30,
	0x2d, 0x39, 0x5d, 0x24, 0x48, 0x00, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x3a, 0x06, 0xea, 0xc5,
	0x2b, 0x02, 0x08, 0x01, 0x42, 0x0e, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x05, 0xba,
	0x48, 0x02, 0x08, 0x01, 0x42, 0x55, 0x5a, 0x53, 0x62, 0x75, 0x66, 0x2e, 0x62, 0x75, 0x69, 0x6c,
	0x64, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x67, 0x6f, 0x2f, 0x62, 0x75, 0x66, 0x62, 0x75, 0x69, 0x6c,
	0x64, 0x2f, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x63, 0x6f, 0x6c, 0x62, 0x75, 0x66, 0x66, 0x65, 0x72, 0x73, 0x2f, 0x67, 0x6f, 0x2f, 0x62, 0x75,
	0x66, 0x2f, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x2f, 0x6f, 0x77, 0x6e, 0x65, 0x72,
	0x2f, 0x76, 0x31, 0x3b, 0x6f, 0x77, 0x6e, 0x65, 0x72, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_buf_registry_owner_v1_owner_proto_rawDescOnce sync.Once
	file_buf_registry_owner_v1_owner_proto_rawDescData = file_buf_registry_owner_v1_owner_proto_rawDesc
)

func file_buf_registry_owner_v1_owner_proto_rawDescGZIP() []byte {
	file_buf_registry_owner_v1_owner_proto_rawDescOnce.Do(func() {
		file_buf_registry_owner_v1_owner_proto_rawDescData = protoimpl.X.CompressGZIP(file_buf_registry_owner_v1_owner_proto_rawDescData)
	})
	return file_buf_registry_owner_v1_owner_proto_rawDescData
}

var file_buf_registry_owner_v1_owner_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_buf_registry_owner_v1_owner_proto_goTypes = []any{
	(*Owner)(nil),        // 0: buf.registry.owner.v1.Owner
	(*OwnerRef)(nil),     // 1: buf.registry.owner.v1.OwnerRef
	(*User)(nil),         // 2: buf.registry.owner.v1.User
	(*Organization)(nil), // 3: buf.registry.owner.v1.Organization
}
var file_buf_registry_owner_v1_owner_proto_depIdxs = []int32{
	2, // 0: buf.registry.owner.v1.Owner.user:type_name -> buf.registry.owner.v1.User
	3, // 1: buf.registry.owner.v1.Owner.organization:type_name -> buf.registry.owner.v1.Organization
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_buf_registry_owner_v1_owner_proto_init() }
func file_buf_registry_owner_v1_owner_proto_init() {
	if File_buf_registry_owner_v1_owner_proto != nil {
		return
	}
	file_buf_registry_owner_v1_organization_proto_init()
	file_buf_registry_owner_v1_user_proto_init()
	file_buf_registry_owner_v1_owner_proto_msgTypes[0].OneofWrappers = []any{
		(*Owner_User)(nil),
		(*Owner_Organization)(nil),
	}
	file_buf_registry_owner_v1_owner_proto_msgTypes[1].OneofWrappers = []any{
		(*OwnerRef_Id)(nil),
		(*OwnerRef_Name)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_buf_registry_owner_v1_owner_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_buf_registry_owner_v1_owner_proto_goTypes,
		DependencyIndexes: file_buf_registry_owner_v1_owner_proto_depIdxs,
		MessageInfos:      file_buf_registry_owner_v1_owner_proto_msgTypes,
	}.Build()
	File_buf_registry_owner_v1_owner_proto = out.File
	file_buf_registry_owner_v1_owner_proto_rawDesc = nil
	file_buf_registry_owner_v1_owner_proto_goTypes = nil
	file_buf_registry_owner_v1_owner_proto_depIdxs = nil
}
